Package org.apache.catalina.tribes.group.interceptors

## Class FragmentationInterceptor.FragKey

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragKey

Enclosing class:
  FragmentationInterceptor

    public static class FragmentationInterceptor.FragKey
    extends java.lang.Object

### Constructor Summary

Constructors
`FragKey​(byte[] id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`boolean` `expired​(long expire)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FragKey

    public FragKey​(byte[] id)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### expired

    public boolean expired​(long expire)